# Manuale di &kabcclient;

Kevin
Krammer

     kevin.krammer@gmx.at

Luigi
Toscano

    luigi.toscano@tiscali.it

Traduzione italiana
2008
Kevin Krammer
&FDLNotice;
2008-11-20
1.1.1

&kabcclient; è un'interfaccia da riga di comando per la rubrica indirizzi di &kde;.

KDE
&package;
&kappname;
KAddressBook

## Introduzione

&kabcclient; è un'interfaccia da riga di comando per la rubrica indirizzi di &kde;. Ti consente di elencare, cercare, inserire, rimuovere o fondere contatti direttamente da riga di comando o con linguaggi di scripting. &kabcclient; può gestire molti formati in ingresso e in uscita che possono, essere usati per l'importazione e l'esportazione della rubrica di &kde;.

Se invocato senza argomenti, &kabcclient; entra in modalità ricerca e tenta di estrarre tutti contatti della rubrica di &kde; corrispondenti a tutti i dati leggibili da standard input

Principali funzioni di &kabcclient;:

- Elenca tutti i contatti della rubrica di &kde;

- Cerca contatti in base all'input specificato

- Inserisce (aggiunge) contatti

- Rimuove (elimina) contatti

- Fonde (modifica) con nuovi dati i contatti corrispondenti

&kabcclient; non è un'altra interfaccia grafica per la rubrica di &kde; (cioè &kaddressbook;). &kabcclient; è pensato per essere utilizzato sola quando l'uso dell'interfaccia grafica non è pratico o possibile.

&kabcclient; non mette a disposizione un linguaggio completo per richiedere informazioni alla rubrica dell'utente, né è intenzione dei suoi autori implementare tale funzionalità. Elaborazioni di questo tipo possono essere effettuate tramite altri strumenti da riga di comando o tramite le funzionalità proprie di linguaggi di script.

Per semplificare la visibilità delle sue funzioni, ogni opzione che richiede un argomento può essere invocata con il valore help. In questo modo verranno elencati tutti i valori validi per tale opzione.

## Funzionalità

In questo capitolo potrai conoscere le principali funzionalità di &kabcclient; e come controllarle tramite i parametri da riga di comando (ricorda che &kabcclient; non è un'interfaccia grafica; è esclusivamente un programma a riga di comando).

Imparerai come inserire, cancellare e cercare dati di contatti, e come utilizzare differenti formati per l'input e l'output.

### Elencazione della rubrica

Questa è la modalità operativa di base, richiamabile tramite le opzioni `--list` o `-L`. &kabcclient; elencherà tutti i contatti presenti nella rubrica di &kde;, scrivendo i dati nello standard output del programma. La quantità ed il formato dei dati in output dipendono dal formato scelto.

Per elencare tutti i contatti come normali schede vCard, basta eseguire:

    % kabcclient -L

Per ottenere una sola riga per contatto, ad esempio per contare gli elementi, basta eseguire:

    % kabcclient -L -of uid

Nel prossimo esempio, elencheremo tutti gli indirizzi di posta elettronica:

    % kabcclient --list -of email

### Ricerca di contatti in base ai dati in input

&kabcclient; può leggere dati dalla riga di comando o dallo standard input del programma e verificare eventuali somiglianze tra tutti i contatti della rubrica di &kde;. La ricerca è la modalità di funzionamento predefinita ma può essere scelta esplicitamente usando gli argomenti a riga di comando `--search` o `-S`.

Nell'esempio seguente, tutti i contatti aventi jane come parte del nome o di un indirizzo di posta elettronica saranno trascritti nello standard output del programma, formattati come vCard (perché questo è il valore predefinito dell'opzione `--output-format`):

    % kabcclient --search jane

La stessa ricerca, ma questa volta leggendo la stringa di ricerca dallo standard input del programma:

    % echo jane | kabcclient --search

L'uso delle maiuscole nelle ricerche può essere abilitato tramite l'opzione `--match-case`.

### Aggiunta di contatti

&kabcclient; consente l'aggiunta di nuovi contatti alla rubrica di &kde; tramite l'argomento da riga di comando `--add` o `-A`. I dati possono essere passati come ulteriori argomenti da riga di comando o letti da standard input. Se l'operazione va a buon fine, i nuovi contatti saranno scritti nello standard output del programma. Poiché questa è un'operazione che effettua modifiche alla rubrica, può essere eseguita in modalità "solo test" specificando l'opzione `--nosave`.

Aggiunge un contatto con un dato nome ed indirizzo di posta elettronica interpretando un ulteriore argomento da riga di comando come dati in input:

    % kabcclient --add --input-format email "John Doe <j.doe@example.com>"

Aggiunge tutti i contatti da un file vCard passato tramite lo standard input del programma:

    % cat example-file.vcf | kabcclient --add --input-format vcard

### Eliminazione di contatti

&kabcclient; consente la rimozione di contatti dalla rubrica di &kde; tramite l'argomento da riga di comando `--remove` o `-R`. I dati in input sono costituiti fondamentalmente da un'espressione di ricerca analoga a quella utilizzata per le ricerche nella rubrica. Se l'operazione va a buon fine, i nuovi contatti saranno scritti nello standard output del programma. Poiché questa è un'operazione che effettua modifiche alla rubrica, può essere eseguita in modalità "solo test" specificando l'opzione `--nosave`.

Quando elimini qualcosa dalla rubrica non puoi tornare indietro! In altre parole, quando elimini un contatto non puoi annullare la cancellazione. È andata.

Prova la cancellazione di tutti i contatti aventi jane come parte del nome o di un indirizzo di posta elettronica:

    % kabcclient --remove --nosave jane

### Formati di input e di output

&kabcclient; può interpretare dati in input e formattare i dati in output in base a variare a diverse regole di formattazione. In base allo scenario d'uso alcune combinazioni possono estrarre meglio i risultati. Alcuni formati riconoscono ulteriori parametri per meglio definire il loro comportamento.

Poiché i dati testuali possono essere codificati, sia i dati in input che quelli in output possono essere soggetti rispettivamente ad ulteriore decodifica o codifica.

Tutte queste opzioni a riga di comando reagiranno al valore speciale help elencando i valori ammessi.

#### Formato vCard

vCard (RFC 2426) è il formato standard per i dati dei contatti e come tale è in grado di mostrare tutte le informazioni a cui altri programmi di rubrica come &kaddressbook; possono accedere. È pertanto il formato predefinito di output.

#### Formato CSV (Valori separati da virgole)

Il formato valori separati da virgole può essere usato come formato in input per fornire dati a precisi campi di un contatto, e come formato di output per ridurre o riordinare i dati per ulteriori elaborazioni. Per consentire maggiore flessibilità, la corrispondenza dei campi dei contatti con le colonne del CSV può essere specificata tramiti file di descrizione del modello utilizzati anche da &kaddressbook; per lo stesso scopo.

## Argomenti a riga di comando

&kabcclient; supporta le seguenti opzioni:

Opzione | Descrizione
--- | ---
`--help, --help-all` | Mostra un messaggio di aiuto sulle opzioni del programma.
`--author` | Mostra le informazioni sugli autori del programma.
`-v, --version` | Mostra delle informazioni sulla versione del programma.
`--license` | Mostra le informazioni sulla licenza d'uso del programma.
`--verbose` | Stampa messaggi di aiuto sull'esecuzione.
`--nosave` | Stampa quello che avrebbe dovuto visualizzare, ma senza effettivamente eseguire alcuna operazione. Non modifica informazioni nella rubrica di &kde;; non inserisce, rimuove, modifica alcun contatto.
`--match-case` | Considera le maiuscole nel confrontare i dati in output con i dati dei contatti della rubrica.
Principali modalità operative:
`-L, --list` | Stampa tutti i contatti nel formato di esportazione specificato.
`-A, --add` | Inserisce i contatti nella rubrica.
`-R, --remove` | Elimina contatti dalla rubrica.
`-M, --merge` | Fondi i dati in ingresso con i dati dei contatti corrispondenti della rubrica.
Formattazione e codifica:
`-if, --input-format` formato | Come interpretare i dati in input. Usa il valore help per ottenere la lista dei valori ammissibili.
`-of, --output-format` formato | Come interpretare i dati in output. Usa il valore help per ottenere la lista dei valori ammissibili.
`-if-opts, --input-format-options` opzioni | Ulteriori opzioni relative al formato di input. Usa il valore help per ottenere la lista dei valori ammissibili.
`-of-opts, --output-format-options` opzioni | Ulteriori opzioni relative al formato di output. Usa il valore help per ottenere la lista dei valori ammissibili.
`-ic, --input-codec` codifica | Codifica del testo usata per presentare i dati in input. Usa help per ottenere la lista dei valori ammissibili.
`-oc, --output-codec` codifica | Codifica del testo che dovrebbe essere usata per presentare i dati in output. Usa help per ottenere la lista dei valori ammissibili.

## Domande e risposte

&reporting.bugs; &updating.documentation;

Quali file di configurazione utilizza &kabcclient;?

Nessuno.

Quali sono i nomi con cui è noto &kabcclient;?

Il nome dell'applicazione &kabcclient; è kabcclient.

Posso far aggiungere domande alla FAQ?

Invia le tue domande a kevin.krammer@gmx.at.

## Riconoscimenti e licenza

Programma &kabcclient; copyright 2005-2008:

- Kevin Krammer kevin.krammer@gmx.at

Copyright della documentazione 2008:

- Kevin Krammer kevin.krammer@gmx.at

Luigi Toscano luigi.toscano@tiscali.it (Traduzione della documentazione)

&underFDL; &underGPL;

## Installazione

### Come procurarsi &kabcclient;

&install.intro.documentation;

&kabcclient; è distribuito con &kde;4 e non è disponibile separatamente.

### Requisiti

&kabcclient; richiede la presenza delle librerie di base di &kde; (i pacchetti `kdelibs` e `kdepimlibs`). Per compilare dai sorgenti sono richiesti anche i pacchetti di sviluppo di &Qt;, `kdelibs` e `kdepimlibs`.

Puoi trovare l'elenco delle modifiche (in inglese) nel file `ChangeLog`.

### Configurazione

Nessuna configurazione speciale è richiesta per impostare &kabcclient; in modo che sia eseguito nell'ambiente desktop &kde;.

&documentation.index;